For the complete documentation index, see llms.txt. This page is also available as Markdown.

Supplier Invoices

Create and retrieve supplier (purchase) invoices for a given consent.

List supplier invoices

get

Retrieves a paginated list of supplier invoices for the specified consent.

System support

System
Status

Fortnox

Fortnox

βœ… Supported

Bjorn Lunden

Bjorn Lunden

βœ… Supported

Spiris

Spiris

βœ… Supported

Tripletex

Tripletex

πŸ“ž Not supported / contact us

Visma e-conomic

Visma e-conomic

βœ… Supported

Billy

Billy

βœ… Supported

Visma Dinero

Visma Dinero

πŸ“ž Not supported / contact us

Procountor

Procountor

βœ… Supported

Visma Netvisor

Visma Netvisor

βœ… Supported

Microsoft Business Central

Microsoft Business Central

βœ… Supported

Exact Online

Exact Online

πŸ“ž Not supported / contact us

QuickBooks

QuickBooks

πŸ“ž Not supported / contact us

Xero

Xero

βœ… Supported

Bokio

Bokio

βœ… Supported

Kleer

Kleer

βœ… Supported

DATEV

DATEV

πŸ“ž Not supported / contact us

Authorizations
x-api-keystringRequired

Use the API key to access all API endpoints.

Path parameters
consentIdstring Β· uuidRequired

Identifier of the consent representing the connection to the accounting system.

Query parameters
Countinteger Β· int32 Β· min: 1 Β· max: 100Optional

Number of records to return per page. Range: 1-100.

CurrentPageinteger Β· int32 Β· min: 1 Β· max: 2147483647Optional

Page number to return. Must be 1 or greater.

FromInvoiceDatestring Β· date-timeOptional

Start invoice issue date filter. Format: ISO 8601 date-time (e.g. yyyy-MM-ddTHH:mm:ssZ).

Example: 2025-01-01T00:00:00Z
ToInvoiceDatestring Β· date-timeOptional

End invoice issue date filter. Format: ISO 8601 date-time (e.g. yyyy-MM-ddTHH:mm:ssZ).

Example: 2025-12-31T00:00:00Z
ModifiedDateTimestring Β· date-timeOptional

Return invoices modified on or after this date and time. Format: ISO 8601 date-time (e.g. yyyy-MM-ddTHH:mm:ssZ).

Example: 2025-01-01T00:00:00Z
OrderBystring Β· enumOptional

Sort order for the results.

Possible values:
Statusstring Β· enumOptional

The status to filter invoices by.

Status filtering support per system is shown below.

Legend:

  • βœ… = Supported
  • β›” = Not supported
SystemIsSoldPaidUnpaidOverdueCancelledUnsent
Fortnoxβ›”βœ…βœ…βœ…βœ…β›”
Bjorn Lundenβ›”β›”βœ…βœ…β›”β›”
Spirisβ›”βœ…β›”β›”β›”β›”
Tripletexβ›”β›”β›”β›”β›”β›”
Visma e-conomicβ›”β›”β›”β›”β›”β›”
Billyβ›”βœ…β›”β›”β›”β›”
Visma Dineroβ›”β›”β›”β›”β›”β›”
Procountorβ›”βœ…β›”β›”βœ…βœ…
Visma Netvisorβ›”βœ…βœ…β›”β›”β›”
Microsoft Business Centralβ›”βœ…βœ…β›”βœ…β›”
Bokioβ›”β›”β›”β›”β›”β›”
Kleerβ›”β›”β›”β›”β›”β›”
Xeroβ›”βœ…βœ…βœ…βœ…β›”
FileOneβ›”β›”β›”β›”β›”β›”
Possible values:
IncludestringOptional

Comma-separated list of optional data to include in the response.

Available values:

  1. paymentStatus β€” Include the payment status.
Header parameters
x-correlation-idstring Β· uuidRequired

Unique identifier used to correlate and trace this request.

Responses
200

Returns a paginated list of supplier invoices for the specified consent.

application/json

Represents a paginated result containing metadata and a collection of items.

get/api/v1/consents/{consentId}/supplierinvoices
GET /accounting/api/v1/consents/{consentId}/supplierinvoices HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
x-correlation-id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
{
  "meta": {
    "totalResources": 10,
    "totalPages": 1,
    "currentPage": 1
  },
  "data": [
    {
      "id": "SINV-001",
      "reference": "SINV-001",
      "dueDate": "2024-04-15",
      "issueDate": "2024-03-15",
      "createdDateTime": "2024-03-15T10:00:00Z",
      "modifiedDateTime": "2024-03-16T14:30:00Z",
      "accountingSupplierParty": {
        "customerAssignedAccountId": {
          "id": "SUP-10001",
          "schemeId": "supplierId"
        },
        "party": {
          "partyName": {
            "name": "Office Supplies Ltd",
            "languageId": "ENG"
          }
        }
      },
      "notes": [
        {
          "text": "Office supplies order #4521",
          "languageId": "ENG"
        }
      ],
      "totalBalanceAmount": {
        "amount": 1000,
        "currencyId": "DKK"
      },
      "legalMonetaryTotal": {
        "taxInclusiveAmount": {
          "amount": 1000,
          "currencyId": "DKK"
        },
        "prepaidAmount": {
          "amount": 0,
          "currencyId": "DKK"
        },
        "payableRoundingAmount": {
          "amount": 0,
          "currencyId": "DKK"
        },
        "payableAmount": {
          "amount": 1000,
          "currencyId": "DKK"
        },
        "taxExclusiveAmount": {
          "amount": 800,
          "currencyId": "DKK"
        },
        "lineExtensionAmount": {
          "amount": 800,
          "currencyId": "DKK"
        }
      },
      "paymentStatus": {
        "status": "UNPAID",
        "settlementDate": null
      }
    }
  ]
}

Create a supplier invoice

post

Creates a new supplier invoice in the connected accounting system.

System support

System
Status

Fortnox

Fortnox

βœ… Supported

Bjorn Lunden

Bjorn Lunden

βœ… Supported

Spiris

Spiris

βœ… Supported

Tripletex

Tripletex

πŸ“ž Not supported / contact us

Visma e-conomic

Visma e-conomic

πŸ“ž Not supported / contact us

Billy

Billy

πŸ“ž Not supported / contact us

Visma Dinero

Visma Dinero

πŸ“ž Not supported / contact us

Procountor

Procountor

πŸ“ž Not supported / contact us

Visma Netvisor

Visma Netvisor

πŸ“ž Not supported / contact us

Microsoft Business Central

Microsoft Business Central

βœ… Supported

Exact Online

Exact Online

πŸ“ž Not supported / contact us

QuickBooks

QuickBooks

πŸ“ž Not supported / contact us

Xero

Xero

πŸ“ž Not supported / contact us

Bokio

Bokio

βœ… Supported

Kleer

Kleer

πŸ“ž Not supported / contact us

DATEV

DATEV

πŸ“ž Not supported / contact us

Authorizations
x-api-keystringRequired

Use the API key to access all API endpoints.

Path parameters
consentIdstring Β· uuidRequired

Identifier of the consent representing the connection to the accounting system.

Header parameters
x-correlation-idstring Β· uuidRequired

Unique identifier used to correlate and trace this request.

Body

Represents input data for a supplier invoice.

referencestring Β· nullableOptional

Invoice number assigned by the sender.

buyerReferencestring Β· nullableOptional

Reference for the buyer (usually the buyer's purchase invoice number).

bookedInvoiceIndicatorboolean Β· nullableOptional

Indicates whether the invoice is booked.

cancelledInvoiceIndicatorboolean Β· nullableOptional

Indicates whether the invoice is cancelled.

issueDatestring Β· nullableOptional

Issue date of the invoice.

issueTimestring Β· nullableOptional

Issue time of the invoice.

dueDatestring Β· nullableOptional

Due date for payment of the invoice.

sellerReferencestring Β· nullableOptional

Reference for the seller.

Responses
201

The supplier invoice was created. Response includes a Location header with the URL of the created resource.

application/json
post/api/v1/consents/{consentId}/supplierinvoices
POST /accounting/api/v1/consents/{consentId}/supplierinvoices HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
x-correlation-id: 123e4567-e89b-12d3-a456-426614174000
Content-Type: application/json
Accept: */*
Content-Length: 6970

{
  "reference": null,
  "buyerReference": null,
  "bookedInvoiceIndicator": null,
  "cancelledInvoiceIndicator": null,
  "issueDate": null,
  "issueTime": null,
  "dueDate": null,
  "creditInvoice": {
    "creditInvoiceIndicator": null,
    "reference": null,
    "creditInvoiceDocumentReferences": [
      {
        "id": null,
        "reference": null,
        "documentType": "Invoice"
      }
    ]
  },
  "financialDimensions": [
    {
      "id": null,
      "reference": null,
      "type": null,
      "name": null,
      "description": null,
      "isActive": null
    }
  ],
  "notes": [
    {
      "text": null,
      "languageId": null
    }
  ],
  "orderReference": {
    "buyerOrderId": null,
    "sellerOrderId": null
  },
  "documentCurrencyCode": {
    "currencyId": null,
    "currencyRate": null
  },
  "accountingSupplierParty": {
    "customerAssignedAccountId": {
      "id": null,
      "schemeId": null
    },
    "party": {
      "partyName": {
        "name": null,
        "languageId": null
      },
      "postalAddress": {
        "buildingNumber": null,
        "streetName": null,
        "additionalStreetName": null,
        "cityName": null,
        "postalZone": null,
        "country": {
          "identificationCode": null,
          "name": null
        }
      },
      "partyLegalEntity": {
        "registrationName": null,
        "companyId": {
          "id": null,
          "schemeId": null
        }
      },
      "contact": {
        "name": null,
        "telephone": null,
        "email": null,
        "secondaryEmail": null
      },
      "endpointId": {
        "id": null,
        "schemeId": null
      },
      "partyIdentification": [
        {
          "id": null,
          "schemeId": null
        }
      ]
    }
  },
  "accountingCustomerParty": {
    "supplierAssignedAccountId": {
      "id": null,
      "schemeId": null
    },
    "party": {
      "partyName": {
        "name": null,
        "languageId": null
      },
      "postalAddress": {
        "buildingNumber": null,
        "streetName": null,
        "additionalStreetName": null,
        "cityName": null,
        "postalZone": null,
        "country": {
          "identificationCode": null,
          "name": null
        }
      },
      "partyLegalEntity": {
        "registrationName": null,
        "companyId": {
          "id": null,
          "schemeId": null
        }
      },
      "contact": {
        "name": null,
        "telephone": null,
        "email": null,
        "secondaryEmail": null
      },
      "endpointId": {
        "id": null,
        "schemeId": null
      },
      "partyIdentification": [
        {
          "id": null,
          "schemeId": null
        }
      ]
    }
  },
  "invoicePeriod": {
    "startDate": null,
    "endDate": null
  },
  "delivery": {
    "deliveryParty": {
      "partyIdentification": {
        "id": null,
        "schemeId": null
      },
      "partyName": {
        "name": null,
        "languageId": null
      }
    },
    "carrierParty": {
      "partyIdentification": {
        "id": null,
        "schemeId": null
      },
      "partyName": {
        "name": null,
        "languageId": null
      }
    },
    "actualDeliveryDate": null,
    "trackingId": null,
    "deliveryAddress": {
      "buildingNumber": null,
      "streetName": null,
      "additionalStreetName": null,
      "cityName": null,
      "postalZone": null,
      "country": {
        "identificationCode": null,
        "name": null
      }
    }
  },
  "deliveryTerms": {
    "deliveryTermsId": {
      "id": null,
      "schemeId": null
    },
    "specialTerms": {
      "text": null,
      "languageId": null
    }
  },
  "paymentTerms": {
    "paymentTermsId": {
      "id": null,
      "schemeId": null
    },
    "notes": [
      {
        "text": null,
        "languageId": null
      }
    ]
  },
  "paymentMeans": [
    {
      "paymentChannelCode": null,
      "paymentDueDate": null,
      "paymentIds": [
        {
          "id": null,
          "schemeId": null
        }
      ]
    }
  ],
  "allowanceCharges": [
    {
      "allowanceChargeId": {
        "id": null,
        "schemeId": null
      },
      "chargeIndicator": true,
      "allowanceChargeReason": null,
      "allowanceChargeAmount": {
        "amount": 1,
        "currencyId": null
      },
      "taxTotal": {
        "taxAmount": {
          "amount": 1,
          "currencyId": null
        },
        "taxIncludedIndicator": null,
        "taxSubtotals": [
          {
            "taxableAmount": {
              "amount": 1,
              "currencyId": null
            },
            "taxAmount": {
              "amount": 1,
              "currencyId": null
            },
            "taxCategory": {
              "id": null,
              "percent": null,
              "taxScheme": {
                "id": null
              },
              "taxExemptionReason": null,
              "taxExemptionReasonCode": null
            }
          }
        ]
      },
      "taxCategory": {
        "percent": 1,
        "taxScheme": {
          "taxSchemeId": {
            "id": null,
            "schemeId": null
          }
        },
        "id": null
      },
      "allowanceChargeBaseAmount": {
        "amount": 1,
        "currencyId": null
      },
      "multiplierFactorNumeric": null
    }
  ],
  "taxTotals": [
    {
      "taxAmount": {
        "amount": 1,
        "currencyId": null
      },
      "taxIncludedIndicator": null,
      "taxSubtotals": [
        {
          "taxableAmount": {
            "amount": 1,
            "currencyId": null
          },
          "taxAmount": {
            "amount": 1,
            "currencyId": null
          },
          "taxCategory": {
            "id": null,
            "percent": null,
            "taxScheme": {
              "id": null
            },
            "taxExemptionReason": null,
            "taxExemptionReasonCode": null
          }
        }
      ]
    }
  ],
  "withholdingTaxTotals": [
    {
      "taxAmount": {
        "amount": 1,
        "currencyId": null
      },
      "taxSubtotals": [
        {
          "taxableAmount": {
            "amount": 1,
            "currencyId": null
          },
          "taxAmount": {
            "amount": 1,
            "currencyId": null
          },
          "taxCategory": {
            "id": null,
            "percent": null,
            "taxScheme": {
              "id": null
            },
            "taxExemptionReason": null,
            "taxExemptionReasonCode": null
          }
        }
      ]
    }
  ],
  "totalBalanceAmount": {
    "amount": 1,
    "currencyId": null
  },
  "additionalDocumentReferences": [
    {
      "id": null,
      "reference": null
    }
  ],
  "legalMonetaryTotal": {
    "taxInclusiveAmount": {
      "amount": 1,
      "currencyId": null
    },
    "prepaidAmount": {
      "amount": 1,
      "currencyId": null
    },
    "payableRoundingAmount": {
      "amount": 1,
      "currencyId": null
    },
    "payableAmount": {
      "amount": 1,
      "currencyId": null
    },
    "lineExtensionAmount": {
      "amount": 1,
      "currencyId": null
    },
    "taxExclusiveAmount": {
      "amount": 1,
      "currencyId": null
    }
  },
  "paymentStatus": {
    "status": "UNPAID",
    "settlementDate": null
  },
  "invoiceLines": [
    {
      "id": null,
      "type": null,
      "account": {
        "id": null,
        "reference": null,
        "standardAccountingAccountId": null,
        "name": null,
        "active": null,
        "postable": null,
        "descriptions": [
          {
            "text": null,
            "languageId": null
          }
        ],
        "accountingAccountTypeCode": {
          "code": null,
          "listId": null
        },
        "financialDimensions": [
          {
            "id": null,
            "reference": null,
            "type": null,
            "name": null,
            "description": null,
            "isActive": null
          }
        ]
      },
      "invoicedQuantity": {
        "quantity": null,
        "unitCode": null
      },
      "lineExtensionAmount": {
        "amount": 1,
        "currencyId": null
      },
      "item": {
        "name": null,
        "description": null,
        "sellersItemIdentification": {
          "id": null,
          "extendedId": null
        },
        "classifiedTaxCategories": [
          {
            "percent": 1,
            "taxScheme": {
              "taxSchemeId": {
                "id": null,
                "schemeId": null
              }
            },
            "id": null
          }
        ]
      },
      "price": {
        "priceAmount": {
          "amount": 1,
          "currencyId": null
        },
        "priceTypeCode": {
          "code": null,
          "listId": null
        },
        "baseQuantity": {
          "quantity": null,
          "unitCode": null
        },
        "allowanceCharges": [
          {
            "allowanceChargeId": {
              "id": null,
              "schemeId": null
            },
            "chargeIndicator": true,
            "allowanceChargeReason": null,
            "allowanceChargeAmount": {
              "amount": 1,
              "currencyId": null
            },
            "taxTotal": {
              "taxAmount": {
                "amount": 1,
                "currencyId": null
              },
              "taxIncludedIndicator": null,
              "taxSubtotals": [
                {
                  "taxableAmount": {
                    "amount": 1,
                    "currencyId": null
                  },
                  "taxAmount": {
                    "amount": 1,
                    "currencyId": null
                  },
                  "taxCategory": {
                    "id": null,
                    "percent": null,
                    "taxScheme": {
                      "id": null
                    },
                    "taxExemptionReason": null,
                    "taxExemptionReasonCode": null
                  }
                }
              ]
            },
            "taxCategory": {
              "percent": 1,
              "taxScheme": {
                "taxSchemeId": {
                  "id": null,
                  "schemeId": null
                }
              },
              "id": null
            },
            "allowanceChargeBaseAmount": {
              "amount": 1,
              "currencyId": null
            },
            "multiplierFactorNumeric": null
          }
        ]
      },
      "delivery": {
        "actualDeliveryDate": null
      },
      "financialDimensions": [
        {
          "id": null,
          "reference": null,
          "type": null,
          "name": null,
          "description": null,
          "isActive": null
        }
      ],
      "allowanceCharges": [
        {
          "allowanceChargeId": {
            "id": null,
            "schemeId": null
          },
          "chargeIndicator": true,
          "allowanceChargeReason": null,
          "allowanceChargeAmount": {
            "amount": 1,
            "currencyId": null
          },
          "taxTotal": {
            "taxAmount": {
              "amount": 1,
              "currencyId": null
            },
            "taxIncludedIndicator": null,
            "taxSubtotals": [
              {
                "taxableAmount": {
                  "amount": 1,
                  "currencyId": null
                },
                "taxAmount": {
                  "amount": 1,
                  "currencyId": null
                },
                "taxCategory": {
                  "id": null,
                  "percent": null,
                  "taxScheme": {
                    "id": null
                  },
                  "taxExemptionReason": null,
                  "taxExemptionReasonCode": null
                }
              }
            ]
          },
          "taxCategory": {
            "percent": 1,
            "taxScheme": {
              "taxSchemeId": {
                "id": null,
                "schemeId": null
              }
            },
            "id": null
          },
          "allowanceChargeBaseAmount": {
            "amount": 1,
            "currencyId": null
          },
          "multiplierFactorNumeric": null
        }
      ],
      "subInvoiceLines": [
        {
          "invoicedQuantity": {
            "quantity": null,
            "unitCode": null
          },
          "item": {
            "name": null,
            "description": null,
            "sellersItemIdentification": {
              "id": null,
              "extendedId": null
            },
            "classifiedTaxCategories": [
              {
                "percent": 1,
                "taxScheme": {
                  "taxSchemeId": {
                    "id": null,
                    "schemeId": null
                  }
                },
                "id": null
              }
            ]
          }
        }
      ]
    }
  ],
  "sellerReference": null
}
{
  "id": "550e8400-e29b-41d4-a716-446655440007",
  "reference": "SINV-001",
  "buyerReference": "PO-4521",
  "bookedInvoiceIndicator": false,
  "cancelledInvoiceIndicator": false,
  "issueDate": "2024-03-05",
  "issueTime": "10:30:00",
  "dueDate": "2024-04-05",
  "creditInvoice": {
    "creditInvoiceIndicator": false,
    "creditInvoiceDocumentReferences": []
  },
  "financialDimensions": [],
  "notes": [
    {
      "text": "Office supplies order #4521",
      "languageId": "ENG"
    }
  ],
  "orderReference": {
    "buyerOrderId": "PO-4521",
    "sellerOrderId": null
  },
  "documentCurrencyCode": {
    "currency": "USD",
    "currencyId": "USD",
    "currencyRate": 1
  },
  "accountingSupplierParty": {
    "customerAssignedAccountId": {
      "id": "SUP1",
      "schemeId": "supplierId"
    },
    "party": {
      "partyIdentification": [],
      "partyName": {
        "name": "Supplier Inc",
        "languageId": "ENG"
      },
      "postalAddress": {
        "buildingNumber": null,
        "streetName": "Supplier Street 1",
        "additionalStreetName": null,
        "cityName": "New York",
        "postalZone": "10001",
        "country": {
          "identificationCode": "US",
          "name": "United States"
        }
      },
      "partyLegalEntity": null,
      "contact": null,
      "endpointId": null
    }
  },
  "accountingCustomerParty": null,
  "invoicePeriod": {
    "startDate": "2024-03-01",
    "endDate": "2024-03-31"
  },
  "delivery": {
    "deliveryParty": null,
    "carrierParty": null,
    "actualDeliveryDate": "2024-03-04",
    "trackingId": null,
    "deliveryAddress": null
  },
  "deliveryTerms": null,
  "paymentTerms": null,
  "paymentMeans": [],
  "allowanceCharges": [],
  "taxTotals": [
    {
      "taxAmount": {
        "amount": 200,
        "currencyId": "USD"
      },
      "taxIncludedIndicator": true
    }
  ],
  "withholdingTaxTotals": [],
  "legalMonetaryTotal": {
    "taxInclusiveAmount": {
      "amount": 1000,
      "currencyId": "USD"
    },
    "prepaidAmount": {
      "amount": 0,
      "currencyId": "USD"
    },
    "payableRoundingAmount": {
      "amount": 0,
      "currencyId": "USD"
    },
    "payableAmount": {
      "amount": 1000,
      "currencyId": "USD"
    },
    "lineExtensionAmount": {
      "amount": 800,
      "currencyId": "USD"
    },
    "taxExclusiveAmount": {
      "amount": 800,
      "currencyId": "USD"
    }
  },
  "totalBalanceAmount": {
    "amount": 1000,
    "currencyId": "USD"
  },
  "additionalDocumentReferences": [],
  "paymentStatus": {
    "status": "UNPAID",
    "settlementDate": "2024-04-15"
  },
  "invoiceLines": [],
  "sellerReference": "SINV-001"
}

Get a supplier invoice by ID

get

Retrieves a single supplier invoice by its identifier.

System support

System
Status

Fortnox

Fortnox

βœ… Supported

Bjorn Lunden

Bjorn Lunden

βœ… Supported

Spiris

Spiris

βœ… Supported

Tripletex

Tripletex

πŸ“ž Not supported / contact us

Visma e-conomic

Visma e-conomic

πŸ“ž Not supported / contact us

Billy

Billy

βœ… Supported

Visma Dinero

Visma Dinero

πŸ“ž Not supported / contact us

Procountor

Procountor

βœ… Supported

Visma Netvisor

Visma Netvisor

βœ… Supported

Microsoft Business Central

Microsoft Business Central

βœ… Supported

Exact Online

Exact Online

πŸ“ž Not supported / contact us

QuickBooks

QuickBooks

πŸ“ž Not supported / contact us

Xero

Xero

βœ… Supported

Bokio

Bokio

βœ… Supported

Kleer

Kleer

βœ… Supported

DATEV

DATEV

πŸ“ž Not supported / contact us

Authorizations
x-api-keystringRequired

Use the API key to access all API endpoints.

Path parameters
consentIdstring Β· uuidRequired

Identifier of the consent representing the connection to the accounting system.

supplierInvoiceIdstringRequired

Identifier of the supplier invoice.

Query parameters
IncludestringOptional

Comma-separated list of optional data to include in the response.

Available values:

  1. paymentStatus β€” Include the payment status.
Header parameters
x-correlation-idstring Β· uuidRequired

Unique identifier used to correlate and trace this request.

Responses
200

Returns the requested supplier invoice.

application/json

Represents a supplier (purchase) invoice with full detail.

idstring Β· nullableOptional

Unique identifier generated by the accounting system.

referencestring Β· nullableOptional

External reference or number assigned to the invoice.

buyerReferencestring Β· nullableOptional

Reference for the buyer, usually the buyer's purchase order number.

bookedInvoiceIndicatorboolean Β· nullableOptional

Indicates whether the invoice is booked.

cancelledInvoiceIndicatorboolean Β· nullableOptional

Indicates whether the invoice is cancelled.

issueDatestring Β· nullableOptional

Date when the invoice was issued. Format: yyyy-MM-dd.

issueTimestring Β· nullableOptional

Time when the invoice was issued (null if not available).

dueDatestring Β· nullableOptional

Date when the invoice payment is due. Format: yyyy-MM-dd.

sellerReferencestring Β· nullableOptional

External reference or number assigned by the seller (null if not available).

get/api/v1/consents/{consentId}/supplierinvoices/{supplierInvoiceId}
GET /accounting/api/v1/consents/{consentId}/supplierinvoices/{supplierInvoiceId} HTTP/1.1
Host: apione.zwapgrid.com
x-api-key: YOUR_API_KEY
x-correlation-id: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
{
  "id": "550e8400-e29b-41d4-a716-446655440007",
  "reference": "SINV-001",
  "buyerReference": "PO-4521",
  "bookedInvoiceIndicator": false,
  "cancelledInvoiceIndicator": false,
  "issueDate": "2024-03-05",
  "issueTime": "10:30:00",
  "dueDate": "2024-04-05",
  "creditInvoice": {
    "creditInvoiceIndicator": false,
    "creditInvoiceDocumentReferences": []
  },
  "financialDimensions": [],
  "notes": [
    {
      "text": "Office supplies order #4521",
      "languageId": "ENG"
    }
  ],
  "orderReference": {
    "buyerOrderId": "PO-4521",
    "sellerOrderId": null
  },
  "documentCurrencyCode": {
    "currency": "USD",
    "currencyId": "USD",
    "currencyRate": 1
  },
  "accountingSupplierParty": {
    "customerAssignedAccountId": {
      "id": "SUP1",
      "schemeId": "supplierId"
    },
    "party": {
      "partyIdentification": [],
      "partyName": {
        "name": "Supplier Inc",
        "languageId": "ENG"
      },
      "postalAddress": {
        "buildingNumber": null,
        "streetName": "Supplier Street 1",
        "additionalStreetName": null,
        "cityName": "New York",
        "postalZone": "10001",
        "country": {
          "identificationCode": "US",
          "name": "United States"
        }
      },
      "partyLegalEntity": null,
      "contact": null,
      "endpointId": null
    }
  },
  "accountingCustomerParty": null,
  "invoicePeriod": {
    "startDate": "2024-03-01",
    "endDate": "2024-03-31"
  },
  "delivery": {
    "deliveryParty": null,
    "carrierParty": null,
    "actualDeliveryDate": "2024-03-04",
    "trackingId": null,
    "deliveryAddress": null
  },
  "deliveryTerms": null,
  "paymentTerms": null,
  "paymentMeans": [],
  "allowanceCharges": [],
  "taxTotals": [
    {
      "taxAmount": {
        "amount": 200,
        "currencyId": "USD"
      },
      "taxIncludedIndicator": true
    }
  ],
  "withholdingTaxTotals": [],
  "legalMonetaryTotal": {
    "taxInclusiveAmount": {
      "amount": 1000,
      "currencyId": "USD"
    },
    "prepaidAmount": {
      "amount": 0,
      "currencyId": "USD"
    },
    "payableRoundingAmount": {
      "amount": 0,
      "currencyId": "USD"
    },
    "payableAmount": {
      "amount": 1000,
      "currencyId": "USD"
    },
    "lineExtensionAmount": {
      "amount": 800,
      "currencyId": "USD"
    },
    "taxExclusiveAmount": {
      "amount": 800,
      "currencyId": "USD"
    }
  },
  "totalBalanceAmount": {
    "amount": 1000,
    "currencyId": "USD"
  },
  "additionalDocumentReferences": [],
  "paymentStatus": {
    "status": "UNPAID",
    "settlementDate": "2024-04-15"
  },
  "invoiceLines": [],
  "sellerReference": "SINV-001"
}

Last updated

Was this helpful?